Summary:          A load balancer and high availability service
Name:             keepalived
Version:          1.3.5
Release:          1%{?dist}%{?pext}
License:          GPLv2+
Group:            System Environment/Daemons
Source0:          http://www.%{name}.org/software/%{name}-%{version}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
URL:              http://www.%{name}.org/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Alexandre Cassen <acassen@linux-vs.org>
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    kernel-headers ipset-devel iptables-devel
BuildRequires:    libnfnetlink-devel libnl-devel net-snmp-devel
BuildRequires:    openssl-devel


%description
Keepalived is a routing software written in C. Its main goal is to provide
simple and robust facilities for load balancing and high-availability to
Linux system and Linux based infrastructures. The load balancing framework
relies on the well-known and widely used Linux Virtual Server (IPVS) kernel
module providing Layer-4 load balancing. Keepalived implements a set of
checkers to dynamically and adaptively maintain and manage loadbalanced
server pools according to their health, while high-availability is achieved
by the use of the VRRP protocol. Both frameworks can be used independently
or together to provide resilient infrastructures.


%prep
%setup -q

# Prepare docs
%{__rm} -f doc/samples/*.pem


%build
%configure \
	--enable-snmp     \
	--enable-snmp-rfc \
	--enable-sha1     \
	--enable-stacktrace

%{__make} STRIP="/bin/true" V=1 %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}

# Cleanup
%{__rm}      -rf                ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/samples
%{__rm}      -rf                ${RPM_BUILD_ROOT}%{_sysconfdir}/init
%{__rm}      -rf                ${RPM_BUILD_ROOT}%{_prefix}/lib


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHOR CONTRIBUTORS COPYING ChangeLog INSTALL
%doc README TODO doc/*.{txt,conf*} doc/samples
%attr(750,root,root) %dir %{_sysconfdir}/%{name}
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/genhash
%dir %{_libexecdir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/snmp/mibs/*.txt
%{_mandir}/man1/genhash.1*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*


%changelog
* Tue Jun 06 2017 Peter Pramberger <peterpramb@member.fsf.org> - 1.3.5-1
- New version (1.3.5)

* Tue Feb 21 2017 Peter Pramberger <peterpramb@member.fsf.org> - 1.3.4-1
- New version (1.3.4)

* Fri Jan 13 2017 Peter Pramberger <peterpramb@member.fsf.org> - 1.3.2-1
- New version (1.3.2)

* Thu Sep 22 2016 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.24-1
- New version (1.2.24)

* Wed Jul 22 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.19-1
- Initial build
